package com.yonge.cooleshow.cms.controller.queryinfo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

import com.yonge.cooleshow.cms.dal.entity.NewsStatusEnum;
import com.yonge.toolset.mybatis.page.QueryInfo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class NewsInformationQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "类型,1热门资讯,2开屏广告，3闪页管理，4轮播图管理 5按钮管理 6 乐理章节", required = true)
	@NotNull(message = "类型不能为空")
	private Integer type;

	@ApiModelProperty(value = "平台类型  ADMIN:平台端  STUDENT：学生端  TEACHER：老师端",required = true)
	@NotBlank(message = "平台类型不能为空")
	private String platformType;

	@ApiModelProperty(value = "子类型  IMAGE:图片，VIDEO:视频", required = false)
	private String subType;

	@ApiModelProperty(value = "资讯状态（0：禁用，1：启用）", required = false)
	private NewsStatusEnum status;

	@ApiModelProperty(value = "编号/标题", required = false)
	private String title;

	@ApiModelProperty(value = "备注", required = false)
	private String memo;

	@ApiModelProperty(value = "声部编号", required = false)
	private Integer subjectId;

	@ApiModelProperty(value = "需排除编号")
	private List<Long> excludeIds;

	@ApiModelProperty("版本号")
	private String version;

	private Date date;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getSubType() {
		return subType;
	}

	public void setSubType(String subType) {
		this.subType = subType;
	}

	public NewsStatusEnum getStatus() {
		return status;
	}

	public void setStatus(NewsStatusEnum status) {
		this.status = status;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public List<Long> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<Long> excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getPlatformType() {
		return platformType;
	}

	public void setPlatformType(String platformType) {
		this.platformType = platformType;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}
}
